use rhai::{CustomType, TypeBuilder};

#[derive(Debug, Clone)]
pub struct SceneConfig {
	pub show_phys: bool,
	pub show_starfield: bool,
}

impl SceneConfig {
	pub fn new() -> Self {
		Self {
			show_phys: false,
			show_starfield: false,
		}
	}
}

impl CustomType for SceneConfig {
	fn build(mut builder: TypeBuilder<Self>) {
		builder
			.with_name("SceneConfig")
			.with_fn("SceneConfig", Self::new)
			.with_fn("show_phys", |s: &mut Self, x: bool| s.show_phys = x)
			.with_fn("show_starfield", |s: &mut Self, x: bool| {
				s.show_starfield = x
			});
	}
}
