use rhai::plugin::*;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum SpriteAnchor {
	Center,
	NorthWest,
	SouthWest,
	NorthEast,
	SouthEast,
}

#[export_module]
pub mod spriteanchor_mod {
	#[allow(non_upper_case_globals)]
	pub const Center: SpriteAnchor = SpriteAnchor::Center;

	#[allow(non_upper_case_globals)]
	pub const NorthWest: SpriteAnchor = SpriteAnchor::NorthWest;

	#[allow(non_upper_case_globals)]
	pub const NorthEast: SpriteAnchor = SpriteAnchor::NorthEast;

	#[allow(non_upper_case_globals)]
	pub const SouthWest: SpriteAnchor = SpriteAnchor::SouthWest;

	#[allow(non_upper_case_globals)]
	pub const SouthEast: SpriteAnchor = SpriteAnchor::SouthEast;
}

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum TextBoxFont {
	Serif,
	SansSerif,
	Monospace,
}

#[export_module]
pub mod textboxfont_mod {
	#[allow(non_upper_case_globals)]
	pub const Serif: TextBoxFont = TextBoxFont::Serif;

	#[allow(non_upper_case_globals)]
	pub const SansSerif: TextBoxFont = TextBoxFont::SansSerif;

	#[allow(non_upper_case_globals)]
	pub const Monospace: TextBoxFont = TextBoxFont::Monospace;
}

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum TextBoxJustify {
	Center,
	Left,
}

#[export_module]
pub mod textboxjustify_mod {
	#[allow(non_upper_case_globals)]
	pub const Center: TextBoxJustify = TextBoxJustify::Center;

	#[allow(non_upper_case_globals)]
	pub const Left: TextBoxJustify = TextBoxJustify::Left;
}
